=== debian/changelog ===
libkf5incidenceeditor (16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 14:13:00 +0200

libkf5incidenceeditor (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Jul 2016 11:51:41 +0200

libkf5incidenceeditor (16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Drop the m-a field for the bin package
  * Add missing Breaks/Replaces
  * Add -dev dependencies needed by the cmake file
  * Add new upstream patch: upstream_add_copying_files.patch

  [ Automatic packaging ]
  * Update symbols files
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 23:22:03 +0200
