=== debian/control ===
Source: libkf5incidenceeditor
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadimime-dev (>= 5.2.0~),
               libkf5calendarcore-dev (>= 5.2.0~),
               libkf5calendarsupport-dev (>= 5.2.0~),
               libkf5calendarutils-dev (>= 5.2.0~),
               libkf5codecs-dev (>= 5.19.0~),
               libkf5eventviews-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5kdepimdbusinterfaces-dev (>= 5.2.0~),
               libkf5kdgantt2-dev (>= 5.2.0~),
               libkf5ldap-dev (>= 5.2.0~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5mailtransport-dev (>= 5.2.0~),
               libkf5mime-dev (>= 5.2.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/incidenceeditor.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/incidenceeditor.git

Package: libkf5incidenceeditor5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM incidence editor - library
 This library provides an incidence editor for KDE PIM.
 .
 This package provides the shared libraries.

Package: libkf5incidenceeditor-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: korganizer (<= 4:16.04)
Replaces: korganizer (<= 4:16.04)
Description: KDE PIM incidence editor
 Incidence editor for KDE PIM.
 .
 This packages provides the runtime programs shipped with the library.

Package: libkf5incidenceeditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5akonadicalendar-dev,
         libkf5calendarcore-dev (>= 5.2.0~),
         libkf5identitymanagement-dev,
         libkf5incidenceeditor5 (= ${binary:Version}),
         libkf5kdgantt2-dev (>= 5.2.0~),
         libkf5mailtransport-dev (>= 5.2.0~),
         libkf5mime-dev (>= 5.2.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM incidence editor - devel files
 This library provides an incidence editor for KDE PIM.
 .
 This package provides development files.
