## libkf5incidenceeditor 16.04.3

=== debian/changelog ===
libkf5incidenceeditor (16.04.3-0ubuntu1) yakkety; urgency=medium

  ** SNAPSHOT build @b537142663d05b6fd9120ffb9011dac564ecdb0e **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @cbaf86e9e443a3ef0469738b91e61ba59e7c0789 **

  * Initial release.
  * Typo in the dependencies

  [ Automatic packaging ]
  * Update symbols files
  * Update symbols files.

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Refreshing symbols

  [ Rik Mills ]
  * Fix spelling error reported by lintian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:27:22 +0200
