## libkf5incidenceeditor 17.04.3

=== debian/changelog ===
libkf5incidenceeditor (17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Refresh enable_debian_abi_manager.diff
  * Add libkf5incidenceeditor-data installing translations
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * Mark a symbol optional that has gone with new GCC 7

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:56 +0100

libkf5incidenceeditor (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * Handle ABI break libkf5incidenceeditor5 ->
    libkf5incidenceeditor5abi1
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Add new files to ibkf5incidenceeditor-bin
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)
  * Update lintian override to match new lib version

  [ Clive Johnston ]
  * Use libkgantt-dev instead of libkf5kdgantt2-dev

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:41 +0100
