=== src/CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,7 @@
   resourceitem.cpp
   resourcemodel.cpp
 )
-ecm_qt_declare_logging_category(incidenceeditors_ng_shared_LIB_SRCS HEADER incidenceeditor_debug.h IDENTIFIER INCIDENCEEDITOR_LOG CATEGORY_NAME log_incidenceeditor)
+ecm_qt_declare_logging_category(incidenceeditors_ng_shared_LIB_SRCS HEADER incidenceeditor_debug.h IDENTIFIER INCIDENCEEDITOR_LOG CATEGORY_NAME org.kde.pim.incidenceeditor)
 
 kconfig_add_kcfg_files(incidenceeditors_ng_shared_LIB_SRCS globalsettings_incidenceeditor.kcfgc)
 
@@ -94,22 +94,31 @@
 generate_export_header(KF5IncidenceEditor BASE_NAME incidenceeditor)
 
 add_library(KF5::IncidenceEditor ALIAS KF5IncidenceEditor)
+
+
+
 target_link_libraries(KF5IncidenceEditor
 PUBLIC
   KF5::AkonadiCalendar
   KF5::AkonadiMime
   KF5::CalendarCore
   KF5::CalendarUtils
-  KF5::MailTransport
+  KF5::MailTransportAkonadi
   KF5::CalendarSupport      # For KCalPrefs
   KF5::EventViews
-  KF5::KDGantt2             # For FreeBusy Editor
 PRIVATE
-  KF5::Libkdepim
+  KGantt              # For FreeBusy Editor
+  KF5::LibkdepimAkonadi
   KF5::KdepimDBusInterfaces # For UriHandler
   KF5::Codecs
   KF5::Ldap
   KF5::AkonadiWidgets
+  KF5::IconThemes
+  KF5::Completion
+  KF5::KIOWidgets
+  KF5::TextWidgets
+  KF5::WidgetsAddons
+  KF5::XmlGui
 )
 target_include_directories(KF5IncidenceEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/IncidenceEditor/;${KDE_INSTALL_INCLUDEDIR_KF5}/incidenceeditor>")
 target_include_directories(KF5IncidenceEditor PUBLIC "$<BUILD_INTERFACE:${incidenceeditor_SOURCE_DIR}/src;${incidenceeditor_BINARY_DIR}/src;>")
@@ -144,7 +153,7 @@
 
 ecm_generate_pri_file(BASE_NAME IncidenceEditor
     LIB_NAME KF5IncidenceEditor
-    DEPS "AkonadiCalendar AkonadiMime CalendarCore CalendarUtils MailTransport CalendarSupport EventViews KDGantt2" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/IncidenceEditor
+    DEPS "AkonadiCalendar AkonadiMime CalendarCore CalendarUtils MailTransport CalendarSupport EventViews" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/IncidenceEditor
 )
 
 install(FILES
@@ -154,7 +163,6 @@
 )
 
 install(FILES
-    ${IncidenceEditor_HEADERS}
     ${CMAKE_CURRENT_BINARY_DIR}/globalsettings_incidenceeditor.h
     ${CMAKE_CURRENT_BINARY_DIR}/incidenceeditor_export.h
     ${IncidenceEditor_HEADERS}
