=== debian/changelog ===
libkf5incidenceeditor (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:24 +0000

libkf5incidenceeditor (17.12.2-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Drop patch add_missing_header_guards.diff; applied upstream
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Update symbols from build logs

  [ Clive Johnston ]
  * Bump sonames with the Debian ABI Manager due to binary incompatible
    changes:
    - libkf5incidenceeditor5abi1 -> libkf5incidenceeditor5abi2
  * Refresh symbols from amd64 buildlog

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:53 +0000

libkf5incidenceeditor (17.08.3-0ubuntu1) bionic; urgency=medium

  * Refresh patches
  * New build depend on libkf5contacteditor-dev
  * Mark a symbol optional that has gone with new GCC 7
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:52 +0000
