=== debian/control ===
--- 
+++ 
@@ -6,19 +6,20 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
-               libkf5calendarcore-dev (>= 4:17.04.3~),
-               libkf5calendarsupport-dev (>= 4:17.04.3~),
-               libkf5calendarutils-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5calendarcore-dev (>= 4:17.12.3~),
+               libkf5calendarsupport-dev (>= 4:17.12.3~),
+               libkf5calendarutils-dev (>= 4:17.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5eventviews-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5eventviews-dev (>= 4:17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdepimdbusinterfaces-dev (>= 4:17.04.3~),
-               libkf5ldap-dev (>= 17.04.3~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5kdepimdbusinterfaces-dev (>= 4:17.12.3~),
+               libkf5ldap-dev (>= 17.12.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~)
@@ -27,8 +28,8 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/incidenceeditor
 
-Package: libkf5incidenceeditor5abi1
-X-Debian-ABI: 1
+Package: libkf5incidenceeditor5abi2
+X-Debian-ABI: 2
 X-CMake-Target: KF5IncidenceEditor
 Architecture: any
 Multi-Arch: same
@@ -65,13 +66,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
-         libkf5akonadicalendar-dev (>= 4:17.04.3~),
-         libkf5calendarcore-dev (>= 4:17.04.3~),
-         libkf5identitymanagement-dev (>= 17.04.3~),
-         libkf5incidenceeditor5abi1 (= ${binary:Version}),
-         libkf5mailtransport-dev (>= 17.04.3~),
-         libkf5mime-dev (>= 17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+         libkf5akonadicalendar-dev (>= 4:17.12.3~),
+         libkf5calendarcore-dev (>= 4:17.12.3~),
+         libkf5identitymanagement-dev (>= 17.12.3~),
+         libkf5incidenceeditor5abi2 (= ${binary:Version}),
+         libkf5mailtransport-dev (>= 17.12.3~),
+         libkf5mime-dev (>= 17.12.3~),
          libkgantt-dev,
          ${misc:Depends},
          ${shlibs:Depends}
