## libkf5incidenceeditor 18.04.3

=== debian/changelog ===
libkf5incidenceeditor (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Drop upstream_fix-build-with-Qt-5.11.patch
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:01 +0100

libkf5incidenceeditor (17.12.3-0ubuntu2) cosmic; urgency=medium

  * Add upstream patrch to fix build with Qt 5.11

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Jul 2018 06:18:03 +0100
